<template>
  <v-stepper v-model="e1" class="head">
    <v-stepper-header>
      <v-stepper-step :complete="e1 > 1" step="1">Select Showtime</v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step :complete="e1 > 2" step="2">Select Seat</v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step step="3">Reserve</v-stepper-step>
    </v-stepper-header>

    <v-stepper-items>
      <v-stepper-content step="1" >
        <v-card
          class="mb-5"
          color="white lighten-1"
          height="300px"
        >
         <v-layout row wrap>
    <v-flex xs12>
      <!-- first showTime -->
        <v-card-title class="red accent-4 justify">
            <h2 class="white--text font-weight-light">MOVIE : {{movies.movie_name}}</h2>
        </v-card-title>
        <v-list two-line>
            <div class="text-xs-left">
                <v-list-tile>
                    <h2 class="font-weight-light">Digital Cinema | TH</h2>
                </v-list-tile>
             
                <v-layout row wrap>
              
                  <div v-for="t in movies.round" :key="t">
                    <!--  -->
                   <v-btn outline color="#d50000"  @click="e1=2,getseat(t._id),getroundtime(t.round_time)"  class="mr-1"> {{t.round_time}}  </v-btn>
                  </div>
                </v-layout>
            </div>
        </v-list>
    </v-flex>
  </v-layout>
        </v-card>
        <!-- <v-btn
          color="primary"
          @click="e1 = 2"
        >
          Continue
        </v-btn>

        <v-btn flat>Cancel</v-btn> -->
      </v-stepper-content>

      <v-stepper-content step="2">
        <!-- <v-card
          class="mb-5"
          color="white lighten-1"
          height="650px"
        > -->
          <v-layout row wrap>
        <v-flex xs12 sm12 md12 lg12>
            
                
                <v-card-title class="red lighten-a justify">
                    <h2 class="white--text font-weight-light">THEATER 1</h2>
                </v-card-title>

                <v-list two-line>
                        <v-list-tile>
                            <v-icon size="50" color="">event_seat</v-icon>
                            <h2 class="font-weight-light"> &nbsp; Executive on the beach 150 Bath</h2>
                        </v-list-tile>

                <v-flex xs4 sm4 md4 lg4 offset-sm4 >
                    <tr>
                     <div class="text-xs-center align-center ch">
                
                   <h1 style="color:red; font-size:16pt; border-style:solid; bg-color:black;">SCREEN</h1>
                 
                    </div><br>
                      <v-layout row wrap >
                      <v-flex class="seat"
                        :color="rollA.status ?'blank':'red'"
                        v-for="rollA in seats"
                        :key="rollA"
                      >
                       
                        <v-icon color="red" x-large v-if="rollA.status==='ไม่ว่าง'"  @click="rollA.status=changestate(rollA.status),booking(seats)">done</v-icon>
                        <v-img src="https://image.flaticon.com/icons/svg/1004/1004584.svg" color="red" x-large v-else-if="rollA.status==='ว่าง'"  @click="rollA.status=changestate(rollA.status),booking(seats)"></v-img>
                        <v-img src="https://image.flaticon.com/icons/svg/980/980672.svg" x-large v-else-if="rollA.status==='จองแล้ว'" ></v-img>
                        <!-- <v-icon v-else color="red">event_seat</v-icon> -->
                      </v-flex>
                      </v-layout>
                     
                        <!-- class="disable-event" -->
                    </tr>
                  </v-flex>
              
             
 
                </v-list>
             <br>
                   
                        <h1 class="font-weight-light">&nbsp; {{movies.movie_name }} |&nbsp; Showtime: {{timebook}}</h1>
                        <!-- <h2 class="black--text font-weight-light">&nbsp Time xx:xx:xx</h2> -->
                    
                    
                    
                                <br>
                            <h2 class="font-weight-light">&nbsp; Seat  </h2>
                            <v-layout row wrap>
                            <h2 v-for="s in bookedseat" :key="s" class="font-weight-light">&nbsp; [ {{ s.id}} ] &nbsp;</h2></v-layout>
                            <br>
                            
                              <h2 class="font-weight-light">&nbsp; Total  </h2>
                            <h2 class="font-weight-light">&nbsp; {{total}} </h2>
                          
                            <br>
                      
                    
        
         


        </v-flex>
    </v-layout>
        <!-- </v-card> -->

        <v-btn
          color="primary"
          @click="e1 = 3,booking(seats),getroundtime(i.round_time)"
         v-bind:disabled="btnDisable">
          Continue
        </v-btn>

        <v-btn flat @click="e1 = 1">Cancel</v-btn>
      </v-stepper-content>

      <v-stepper-content step="3">
        <v-card
          class="mb-5"
          color="white lighten-1"
          height="350px">
            <v-container class="my-2">
            <v-layout row wrap>
              <v-flex >
              <img height="300px" :src="movies.image">
              </v-flex>
              
                    
              <v-flex justify-center xs10 sm10 md7 lg9 >
                <h1 class="font-weight-bold">{{ movies.movie_name }}</h1>
                <h3 class="font-weight-bold">Showtime:{{timebook}}</h3>
                <br>
                <v-flex xs12>
                  <h3 class="font-weight-bold">Selected Seat</h3>
                  <v-layout row wrap>
                  <h1 v-for="i in bookedseat" :key="i" class="font-weight-light">&nbsp;[{{ i.id}}]</h1></v-layout>
                </v-flex><br>
                 <v-flex xs12>
                  <h3 class="font-weight-bold">Total</h3>
                  <h1 class="font-weight-light">{{total}}</h1>
                </v-flex>
              </v-flex>              
            </v-layout>
            <!-- <v-card-actions class="justify-center">
                  <v-btn outline color="#d50000" dark href="/">RESERVE</v-btn>
               </v-card-actions> -->
        </v-container>
        
        
        </v-card>

        <v-btn
          color="primary"
          @click="reserve()"
        >
          RESERVE
        </v-btn>

        <v-btn flat  @click="e1 = 2">Cancel</v-btn>
      </v-stepper-content>
    </v-stepper-items>
  </v-stepper>
</template>

<script>
import swal from 'sweetalert'
export default {
    data () {
   return {
       timebook:'',
       e1:0,
       movies: [],
       rounds: [],
      seats: [],
      bookedseat: "",
      total: 0,
       btnDisable: true,
       roundID:''

   };
 }, 
  beforeCreate() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    
  },
  async created() {
    
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    try {
      var { data } = await this.axios.get(
        "http://192.168.253.50:4000/movie/" + mid
      );
      console.log(data);
      this.movies = data
      console.log(this.movies)

    } catch (error) {
      console.log(error.message);
    }
    

  },
  // async createdroundtime() {
  //   var rid = localStorage.getItem("R_ID_TEMP");
  //   console.log(rid);
  //   try {
  //     var { data } = await this.axios.get(
  //       "http://192.168.253.127:4000/movie/" + rid
  //     );
  //   //   console.log(data);
  //     this.rounds = data
  //     console.log(this.rounds)

  //   } catch (error) {
  //     console.log(error.message);
  //   }
  // },
  methods:{
    changestate (rollstatus) {
      if( rollstatus==='ว่าง'){
        return 'ไม่ว่าง'
      } 
      else if (rollstatus==='ไม่ว่าง'){
        return 'ว่าง'
      }
    },
    getroundtime(item){
      this.timebook = item
    },
    // gotoseats(id){
    //   console.log(id)
    //   localStorage.setItem("R_ID_TEMP",id);
    //   // this.e1=2
    // },
    booking(item) {
      this.bookedseat = [];
      for (let i = 0; i < item.length; i++) {
        console.log(item[i].status);
        if (item[i].status === 'ไม่ว่าง') {
          this.bookedseat.push({
            id: item[i].id,
            _id: item[i]._id,
            status: item[i].status
          });
        }
        this.total = this.bookedseat.length*150
      this.btnDisable = false
      }
      
      console.log('jj')
      console.log(this.bookedseat);
      console.log(item);
    },// ['A1','A2']
    reserve(){
      // console.log(this.movies.movie_name, this.movies.round, this.bookedseat)
      this.axios.put("http://192.168.253.50:4000/round",
      // this.axios.put("2579898986236",
      {

       roundID : this.roundID,
       round_seats : this.bookedseat
        // status_seats : this.status
      })
      console.log('jj')
      
       swal("", "reserve", "success", {
              buttons: false,
              timer: 2000,
            })
            .then (window.location.replace("/"))
       
    },
    async getseat(id) {
      console.log(id)
      await this.axios
        .get("http://192.168.253.50:4000/round/"+ id)
        .then(response => {
          console.log('tt', response.data.round.round_seats);
          // this.round.round_seats = response.data;
          this.seats = response.data.round.round_seats;
          this.roundID = response.data.round._id;
          //respond.data ที่สามารถเจาะเข้าไปเพื่อเอาตัวที่เอาออกมาได้
          // console.log(this.seat);
        });
    }
  }
 }
</script>

<style>
.disable-event{
  pointer-events: none;
}

.seat{
  padding: 10px;
  height: 70px;
  width: 70px;
}

h1{
    font-family: 'Kanit', sans-serif;
    font-size: 24px;
}

h3{
    font-family: 'Kanit', sans-serif;
    font-size: 19px;
}
h2{
    font-family: 'Kanit', sans-serif;
    font-size: 21px;
}

</style>
